> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qbraid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

> Retrieve a quantum job by its job QRN.

**Args:**
- **job_qrn** (string): Job QRN (qBraid Resource Name)

**Returns:**
- RuntimeJob object containing the job details

**Raises:**
- **403**: You do not have permission to access this job
- **404**: Job is not found
- **422**: Validation error if the job_qrn parameter is invalid

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "data": {
      "name": "My quantum job",
      "shots": 1000,
      "deviceQrn": "qbraid:qbraid:sim:qir-sv",
      "tags": {},
      "runtimeOptions": {},
      "jobQrn": "qbraid:job:abc123xyz",
      "batchJobQrn": null,
      "vendor": "qbraid",
      "provider": "qbraid",
      "status": "COMPLETED",
      "statusMsg": null,
      "experimentType": "gate_model",
      "queuePosition": null,
      "timeStamps": {
        "createdAt": "2025-01-15T10:30:00Z",
        "endedAt": "2025-01-15T10:30:05Z",
        "executionDuration": 5000
      },
      "cost": 0.501875,
      "estimatedCost": 0.5,
      "metadata": {}
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /jobs/{job_qrn}
openapi: 3.1.0
info:
  title: qBraid Runtime API
  description: FastAPI backend powering qBraid's quantum runtime microservice.
  version: '2'
servers:
  - url: https://api-v2.qbraid.com/api/v1
    description: Live Server
security:
  - ApiKeyAuth: []
paths:
  /jobs/{job_qrn}:
    get:
      tags:
        - jobs
      summary: Get Job
      description: |-
        Retrieve a quantum job by its job QRN.

        **Args:**
        - **job_qrn** (string): Job QRN (qBraid Resource Name)

        **Returns:**
        - RuntimeJob object containing the job details

        **Raises:**
        - **403**: You do not have permission to access this job
        - **404**: Job is not found
        - **422**: Validation error if the job_qrn parameter is invalid
      operationId: get_job_jobs__job_qrn__get
      parameters:
        - name: job_qrn
          in: path
          required: true
          schema:
            type: string
            description: Job QRN (qBraid Resource Name)
            title: Job Qrn
          description: Job QRN (qBraid Resource Name)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: You do not have permission to access this job
        '404':
          description: Job Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    example: Job not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GetJobResponse:
      properties:
        success:
          type: boolean
          title: Success
        data:
          $ref: '#/components/schemas/RuntimeJob'
      type: object
      required:
        - success
        - data
      title: GetJobResponse
      description: Response schema for retrieving a single job
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RuntimeJob:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Job name
        shots:
          type: integer
          exclusiveMinimum: 0
          title: Shots
          description: Number of shots to execute
        deviceQrn:
          type: string
          title: Deviceqrn
          description: qBraid device resource name
        tags:
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
              - type: boolean
          type: object
          title: Tags
          description: Job tags
        runtimeOptions:
          additionalProperties: true
          type: object
          title: Runtimeoptions
          description: Runtime options
        jobQrn:
          type: string
          title: Jobqrn
          description: qBraid job resource name
        batchJobQrn:
          anyOf:
            - type: string
            - type: 'null'
          title: Batchjobqrn
          description: Batch job resource name
        vendor:
          type: string
          enum:
            - aws
            - azure
            - ibm
            - ionq
            - qbraid
          title: Vendor
          description: Vendor name
        provider:
          type: string
          enum:
            - aqt
            - aws
            - azure
            - equal1
            - ibm
            - iqm
            - ionq
            - nec
            - oqc
            - pasqal
            - quantinuum
            - quera
            - rigetti
            - qbraid
          title: Provider
          description: Provider name
        status:
          type: string
          description: Job status
        statusMsg:
          anyOf:
            - type: string
            - type: 'null'
          title: Statusmsg
          description: Job status message
        experimentType:
          type: string
          description: Experiment type
        queuePosition:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Queueposition
          description: Job queue position
        timeStamps:
          anyOf:
            - $ref: '#/components/schemas/TimeStamps'
            - type: 'null'
          description: Job time stamps
        cost:
          anyOf:
            - type: number
            - type: 'null'
          title: Cost
          description: Job cost in credits
        estimatedCost:
          anyOf:
            - type: number
            - type: 'null'
          title: Estimatedcost
          description: Job estimated cost in credits
          ge: 0
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
          description: Job metadata
      type: object
      required:
        - shots
        - deviceQrn
        - jobQrn
        - vendor
        - provider
        - status
        - experimentType
        - estimatedCost
      title: RuntimeJob
      description: Schema for runtime job model
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    TimeStamps:
      properties:
        createdAt:
          type: string
          format: date-time
          title: Createdat
        endedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endedat
        executionDuration:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Executionduration
          description: Execution time in milliseconds
      type: object
      required:
        - createdAt
      title: TimeStamps
      description: Model for capturing time-related information in an experiment.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authenticate requests using an API key linked to your qBraid account.
        Obtain your key by registering or logging in at
        [account.qbraid.com](https://account.qbraid.com).

````